summaryrefslogtreecommitdiff
path: root/tests/txinfo24.test
diff options
context:
space:
mode:
authorAlexandre Duret-Lutz <adl@gnu.org>2003-11-08 13:01:13 +0000
committerAlexandre Duret-Lutz <adl@gnu.org>2003-11-08 13:01:13 +0000
commit9bfd1b3f4f7fb0ad7ba169a5742edeba77f84ff6 (patch)
tree6ab2331e575db111189e2ca873d52941abdab8c5 /tests/txinfo24.test
parent05fac00979a763296aa2d0c01c2e08837cee0ac5 (diff)
downloadautomake-9bfd1b3f4f7fb0ad7ba169a5742edeba77f84ff6.tar.gz
* lib/am/texibuild.am (%DEST_PREFIX%%DEST_SUFFIX%): Rename as ...
(%DEST_INFO_PREFIX%%DEST_SUFFIX%): ... this, and honor ?INSRC? to select $(srcdir) or `.' builds. (INFO_DEPS): Define here. * lib/am/texinfos.am (dist-info): Strip filename starting with "$(srcdir)/". * automake.in (output_texinfo_build_rules): Take a new argument $insrc, and adjust substitutions in 'texibuild'. (handle_texinfo_helper): Compute a regex of all user-cleaned files, and use this to select whether to build .info files in `.' or $(srcdir). Give an account of the $(srcdir) vs `.' debacle. Alway build the version.texi and stamp files in $(srcdir). Do not define INFO_DEPS. * tests/Makefile.am (TESTS): Add txinfo23.test, txinfo24.test, and txinfo25.test. * tests/txinfo23.test, tests/txinfo24.test, tests/txinfo25.test: New files. * tests/txinfo13.test, tests/txinfo16.test, tests/txinfo3.test, tests/vtexi.test: Adjust to new rules.
Diffstat (limited to 'tests/txinfo24.test')
-rwxr-xr-xtests/txinfo24.test83
1 files changed, 83 insertions, 0 deletions
diff --git a/tests/txinfo24.test b/tests/txinfo24.test
new file mode 100755
index 000000000..f0063ee12
--- /dev/null
+++ b/tests/txinfo24.test
@@ -0,0 +1,83 @@
+#! /bin/sh
+# Copyright (C) 2002, 2003 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with autoconf; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Check that info files are built in builddir when needed.
+# (Similar to txinfo16.test, plus CLEANFILES.)
+
+required='makeinfo tex'
+. ./defs || exit 1
+
+set -e
+
+echo AC_OUTPUT >> configure.in
+
+cat > Makefile.am << 'END'
+CLEANFILES = main.info
+info_TEXINFOS = main.texi
+END
+
+cat > main.texi << 'END'
+\input texinfo
+@setfilename main.info
+@settitle main
+@node Top
+Hello walls.
+@include version.texi
+@bye
+END
+
+$ACLOCAL
+$AUTOMAKE --add-missing
+$AUTOCONF
+
+mkdir build
+cd build
+../configure
+$MAKE
+test -f main.info
+
+cd ..
+rm -rf build
+./configure
+$MAKE
+test -f main.info
+
+# Make sure stamp-vti is older that version.texi.
+# (A common situation in a real tree.)
+test -f stamp-vti
+test -f version.texi
+$sleep
+touch stamp-vti
+
+$MAKE distclean
+test -f stamp-vti
+test -f version.texi
+
+mkdir build
+cd build
+../configure
+$MAKE
+# main.info should be rebuilt in the current directory
+test -f main.info
+test ! -f ../main.info
+$MAKE dvi
+test -f main.dvi
+
+$MAKE distcheck